#pragma once

#define ENABLE_PERFETTO 1

#if ENABLE_PERFETTO
#include <perfetto.h>
#else
#define PERFETTO_DEFINE_CATEGORIES(...)
#define TRACE_EVENT(...)
#endif

// Define perfetto categories - this can be included in multiple files
PERFETTO_DEFINE_CATEGORIES(
    perfetto::Category("http").SetDescription("HTTP requests"));
